package com.supServer.project.mapper;


import com.supServer.project.entity.dto.UserDto;
import com.supServer.project.entity.UserInfo;
import org.apache.ibatis.annotations.Mapper;
@Mapper
public interface UserInfoMapper {

    /**
     * 根据用户名查询用户信息
     * @param userName
     * @return
     */
    UserInfo selectUserByUserName(String userName);

    /**
     * 根据手机号获取用户信息
     * @param phone
     * @return
     */
    UserInfo selectUserByPhone(String phone);

    /**
     * 校验用户名称是否唯一
     *
     * @param userName 用户名称
     * @return 结果
     */
    int checkUserNameUnique(String userName);

    /**
     * 检查用户手机号是否唯一
     * @param phone
     * @return
     */
    int checkUserPhoneUnique(String phone);

    /**
     * 新增用户
     * @param userInfo
     * @return
     */
    int registerUser(UserInfo userInfo);

    /**
     * 修改账户信息
     * @param userInfo
     * @return
     */
    int updateUserInfo(UserInfo userInfo);

    /**
     * 根据用户id查询用户信息
     * @param userId
     * @return
     */
    UserDto getByUserId(String userId);

    /**
     * 修改登陆时间
     * @param userId
     * @return
     */
    int updateLoginTime(String userId);

}
